Page MenuHomeVyOS Platform

OSPFv3 doesn't support decimal area syntax
Closed, ResolvedPublicBUG

Description

Config commit fails when using u32 integer area notation in OSPFv3.

ospfd allows area notation of type u32 integer or ipv4.
ospf6d allows area notation of only ipv4.

If I run

delete protocols ospfv3
set protocols ospfv3 area 0.0.0.0 interface eth0
commit

everything works as expected.

If I run

delete protocols ospfv3
set protocols ospfv3 area 0 interface eth0
commit

the commit fails with % Unknown command: interface eth0 area 0.

Need to remove u32 integer from the OSPFv3 area input template.

PR is here https://github.com/vyos/vyatta-cfg-quagga/pull/41

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202002070217
Why the issue appeared?
Issues in third-party code
Is it a breaking change?
Perfectly compatible
Issue type
Bug (incorrect behavior)

Related Objects

StatusSubtypeAssignedTask
ResolvedBUGNone
ResolvedBUGNone

Event Timeline

Dmitry changed the task status from Open to Backport candidate.Apr 28 2020, 9:03 AM
Dmitry added a project: Ready for Crux (1.2.x).

PR https://github.com/vyos/vyatta-cfg-quagga/pull/52

Change validator type for ospv3 area
FRR supports the only x.x.x.x value for interface area

r1-roll(config-ospf6)# interface eth1 area 
  A.B.C.D  OSPF6 area ID in IPv4 address notation
vyos@r1-roll# set protocols ospfv3 area 0 interface eth1

  "0" is not a valid value of type "ipv4"
  Value validation failed
  Set failed

[edit]
vyos@r1-roll# set protocols ospfv3 area 1 interface eth1

  "1" is not a valid value of type "ipv4"
  Value validation failed
  Set failed

[edit]
vyos@r1-roll# set protocols ospfv3 area 0.0.0.0 interface eth1
[edit]
vyos@r1-roll#
dmbaturin renamed this task from OSPFv3 allows input of unsupported area notation to OSPFv3 doesn't support decimal area syntax.Jul 26 2020, 8:58 AM
dmbaturin closed this task as Resolved.
dmbaturin changed Why the issue appeared? from Will be filled on close to Issues in third-party code.
dmbaturin changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.
erkin set Issue type to Bug (incorrect behavior).Aug 31 2021, 5:45 PM